#include <stdio.h>
#include <string.h>
#include <stdbool.h>

int main(int argc, char **argv)
{
    char *filename;
    bool flag = false;
    
    if (argv[1][0] == '-' && argv[1][1] == 'l') flag = true; //detect if the -l flag is being used
    
    
    if(flag) filename = argv[2];
    else filename = argv[1];
    
    FILE *fp = fopen(filename, "r");
    
    if (fp == NULL)
    {
        printf("Error: could not open file %s", filename);
        return 1;
    }

    // read one character at a time and display it to the output
    char ch;
    int count = 0;
    char temp[100];

    while ((ch = (char)fgetc(fp)) != EOF){
	if(ch=='\n') continue;
        strncat(temp, &ch,1);
        if (ch == '.' || ch == '?' || ch == '!'){
            count +=1;
            if(flag){
                printf("[%d]%s \n", count, temp);
                strcpy(temp, "");
            } 
        } 
    } 
    if (ch != '.' || ch != '?' || ch != '!'){  //if the last phrase does not have ponctuation (not detected in previous loop)
        count +=1;
        if(flag) printf("[%d] %s \n", count, temp);
        else printf("%d", count);
    }

    // close the file
    fclose(fp);
}
